# boost::numeric::ublas::fill_policy::sparse_insert Class Reference

The sparse insert fill policy. More...

Inherits fill_policy_wrapper< sparse_insert >.

List of all members.

## Static Public Member Functions

template<class T , class S , class V >
static BOOST_UBLAS_INLINE void | apply (T &e, const S &i, const V &v)
template<class T , class S , class V >
static BOOST_UBLAS_INLINE void | apply (T &e, const S &i, const S &j, const V &v)

## Detailed Description

This policy is adequate for sparse types, when fast filling is required, where indexing assign is pretty slow. It is slower than sparse_push_back fill policy, but it can be used to insert elements anywhere inside the container.